!      program elgaussdirect
!	programa principal para resolver eq lineares - metodo direto
!
use msflib ! biblioteca que contem o comando systemqq

logical chamada
	parameter (np=10)
	dimension a(np,np)
	dimension b(np),aux(np)
      open(1,file='input.txt')
      open(8,file='dados1') 
	  open(9,file='dados2')       
!
!	Leitura de dados
!
      read(1,*)n
      write(*,*)'n= ',n
	write(*,*)'a matriz a(i,j) eh:'
	do i=1,n
		read(1,*) (a(i,j),j=1,n)
		write(*,*)(a(i,j),j=1,n)
	enddo
!
	write(*,*)'o vetor b(i) eh:'
	read (1,*) (b(i),i=1,n)
      write(*,*)'b(i)=', (b(i),i=1,n)
	  do i=1,n
		aux(i)=b(i)
	  enddo
do i=1,n
	  do j=1,n
		aux(j)=b(j)
	  enddo
	aux(1)=b(1)*i
	call ludcmp(a,n,np,indx,d)
	call lubksb(a,n,np,indx,aux)
!
!	solucao
!
	write(*,*)'a solucao eh'
	do j=1,n
		write(*,*)'x(',j,')=',aux(j)
	enddo
	write(8,*)i,aux(1)
	write(9,*)i,aux(2)
enddo
close(8)
close(9)

! chamada = systemqq('edit dados1')       ! listagem dos dados
! chamada = systemqq('edit dados2')       ! listagem dos dados

 chamada = systemqq('notepad dados1')       ! listagem dos dados
 chamada = systemqq('notepad dados2')       ! listagem dos dados

chamada = systemqq('wgnuplot dados.gnu')  ! gráfico

!      stop
      end 
!----------------------------------